Subject: Record source position, etc., in doc strings, and use this in *Help* and backtraces.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 26 Nov 2023 14:30:25 +0000

Hello, Emacs.

The reasons for this bug and the ways to solve it have been discussed
extensively in the thread for bug#66750.

We will, in functions' and macros' doc strings record the file name and
position of the source code, and possibly other items, in a machine
parseable format (which has yet to be decided).

This is particularly intended for lambda functions, which currently
appear in backtraces and *Help* buffers with insufficient information to
identify them.  These displays will be enhanced to identify these lambda
functions satisfactorally.

The functions in Emacs which currently use doc strings will be modified
so as not to be negatively affected by the new information written into
them.

-- 
Alan Mackenzie (Nuremberg, Germany).